org.eclipse.eef.properties.ui.internal.page

## Class EEFTabbedPropertyComposite

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.eef.properties.ui.internal.page.EEFTabbedPropertyComposite

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable

    public class EEFTabbedPropertyComposite
    extends org.eclipse.swt.widgets.Composite

Composite responsible for drawing the tabbed property sheet page.

### Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

### Constructor Summary

Constructors
Constructor and Description
`EEFTabbedPropertyComposite(org.eclipse.swt.widgets.Composite parent, EEFWidgetFactory widgetFactory)` Constructor for a `EEFTabbedPropertyComposite`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`org.eclipse.swt.custom.ScrolledComposite` `getScrolledComposite()` Get the scrolled composite which surrounds the title bar and tab composite.
`EEFTabbedPropertyList` `getTabbedPropertyList()` Get the tabbed property list, which is the list of tabs on the left hand side of this composite.
`org.eclipse.swt.widgets.Composite` `getTabComposite()` Get the tab composite where sections display their property contents.

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isAutoScalable, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, checkWidget, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EEFTabbedPropertyComposite

    public EEFTabbedPropertyComposite(org.eclipse.swt.widgets.Composite parent,
                                      EEFWidgetFactory widgetFactory)

Constructor for a `EEFTabbedPropertyComposite`.

Parameters:
  `parent` - The parent composite
  `widgetFactory` - The widget factory

### Method Detail

#### getTabbedPropertyList

    public EEFTabbedPropertyList getTabbedPropertyList()

Get the tabbed property list, which is the list of tabs on the left hand side of this composite.

Returns:
  the tabbed property list.

#### getScrolledComposite

    public org.eclipse.swt.custom.ScrolledComposite getScrolledComposite()

Get the scrolled composite which surrounds the title bar and tab composite.

Returns:
  the scrolled composite.

#### getTabComposite

    public org.eclipse.swt.widgets.Composite getTabComposite()

Get the tab composite where sections display their property contents.

Returns:
  the tab composite.

#### dispose

    public void dispose()

Overrides:
  `dispose` in class `org.eclipse.swt.widgets.Widget`
See Also:
  `Widget.dispose()`